# snd_tplg_channel_map_template Struct Reference
[Topology Interface]

Template type for channel mapping. More...

## Data Fields

int | num_channels
struct snd_tplg_channel_elem | channel [SND_TPLG_MAX_CHAN]

## Detailed Description

Template type for channel mapping.

## Field Documentation

struct snd_tplg_channel_elem snd_tplg_channel_map_template::channel[SND_TPLG_MAX_CHAN]`[read]`

mapping

int snd_tplg_channel_map_template::num_channels

number of channel mappings

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.0/include/topology.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines